이것저것 참조해서 명령어 하나로 자동으로 레이어를 만들어 주는 리습을 만들었습니다.
이 리습에 선굵기도 자동으로 정하게 하고 싶은데 어떻게 해야할지를 모르겠네요..
고수님들 도와주세요….
———————————————————————————————————————–
(defun c:000()
(setvar “cmdecho” 0)
(if (= (tblsearch “layer” “COL”) nil)
;layer 1 이 있는지 없는지 확인 없으면 만든다.
(command “layer” “m” “COL” “c” “2” “” “lt” “continuous” “” “”))
; 레이어이름 레이어색상 레이어선종류
(if (= (tblsearch “layer” “ss-point”) nil)
(command “layer” “m” “ss-point” “c” “1” “” “lt” “CENTER” “” “”))
(if (= (tblsearch “layer” “ss-text”) nil)
(command “layer” “m” “ss-text” “c” “2” “” “lt” “continuous” “” “”))
(if (= (tblsearch “layer” “ss-ed”) nil)
(command “layer” “m” “ss-ed” “c” “3” “” “lt” “continuous” “” “”))
(if (= (tblsearch “layer” “ss-rlrg”) nil)
(command “layer” “m” “ss-rlrg” “c” “4” “” “lt” “continuous” “” “”))
(if (= (tblsearch “layer” “ss-dim”) nil)
(command “layer” “m” “ss-dim” “c” “5” “” “lt” “continuous” “” “”))
(if (= (tblsearch “layer” “ss-eq”) nil)
(command “layer” “m” “ss-eq” “c” “6” “” “lt” “continuous” “” “”))
(if (= (tblsearch “layer” “ss-분기관”) nil)
(command “layer” “m” “ss-분기관” “c” “7” “” “lt” “continuous” “” “”))
(if (= (tblsearch “layer” “ss-back”) nil)
(command “layer” “m” “ss-back” “c” “8” “” “lt” “continuous” “” “”))
(if (= (tblsearch “layer” “HS-행거”) nil)
(command “layer” “m” “HS-행거” “c” “60” “” “lt” “continuous” “” “”))
(if (= (tblsearch “layer” “HS-동부속”) nil)
(command “layer” “m” “HS동부속” “c” “61” “” “lt” “continuous” “” “”))
(if (= (tblsearch “layer” “HS-PVC부속”) nil)
(command “layer” “m” “HS-PVC부속” “c” “62” “” “lt” “continuous” “” “”))
(if (= (tblsearch “layer” “HS-치수”) nil)
(command “layer” “m” “HS-치수” “c” “11” “” “lt” “continuous” “” “”))
(princ)
)
(defun c:0()
(ssget)
(command”LAYER” “S” “0” “”)
;현재 레이어를 0 레이어로 바꾼다.
(command “chprop” “p” “” “la” “0” “”)
)
(defun c:1()
(ssget)
(command”LAYER” “S” “ss-point” “”)
(command “chprop” “p” “” “la” “ss-point” “”)
)
(defun c:2()
(ssget)
(command”LAYER” “S” “ss-text” “”)
(command “chprop” “p” “” “la” “ss-text” “”)
)
(defun c:3()
(ssget)
(command”LAYER” “S” “ss-ed” “”)
(command “chprop” “p” “” “la” “ss-ed” “”)
)
(defun c:4()
(ssget)
(command”LAYER” “S” “ss-rlrg” “”)
(command “chprop” “p” “” “la” “ss-rlrg” “”)
)
(defun c:5()
(ssget)
(command”LAYER” “S” “ss-dim” “”)
(command “chprop” “p” “” “la” “ss-dim” “”)
)
(defun c:6()
(ssget)
(command”LAYER” “S” “ss-eq” “”)
(command “chprop” “p” “” “la” “ss-eq” “”)
)
(defun c:7()
(ssget)
(command”LAYER” “S” “ss-분기관” “”)
(command “chprop” “p” “” “la” “”ss-분기관””)
)
(defun c:8()
(ssget)
(command”LAYER” “S” “ss-back” “”)
(command “chprop” “p” “” “la” “ss-back” “”)
)
(defun c:60()
(ssget)
(command”LAYER” “S” “HS-행거” “”)
(command “chprop” “p” “” “la” “HS-행거” “”)
)
(defun c:61()
(ssget)
(command”LAYER” “S” “HS-동부속” “”)
(command “chprop” “p” “” “la” “HS-동부속” “”)
)
(defun c:62()
(ssget)
(command”LAYER” “S” “HS-PVC부속” “”)
(command “chprop” “p” “” “la” “HS-PVC부속” “”)
)
(defun c:63()
(ssget)
(command”LAYER” “S” “HS-치수” “”)
(command “chprop” “p” “” “la” “HS-치수” “”)
)
(princ)